# Inventory Transactions Inventory Transactions ## Initiates workflow to warm up inventory transactions - [POST /inventoryTransactions/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/warmupinventorytransactions.md) ## Execute Batch Operations - [POST /inventoryTransactions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified open_purchase_order_id - [GET /inventoryTransactions/{tenantId}/openPurchaseOrders/{product_type}/{product_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/listopenpurchaseordersforproduct.md): Returns a list of records with the specified open_purchase_order_id ## Returns a list of records with the specified order_id - [GET /inventoryTransactions/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/listtransactionsbyorderid.md): Returns a list of records with the specified order_id ## Initiates workflow to process an inventory transaction - [POST /inventoryTransactions/{tenantId}/process](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/processinventorytransaction.md): This method will auto-generate an ID and create a new inventory transaction. If an ID is specified for the inventory transaction, an error will be thrown. ## Initiates workflow to process an inventory transaction - [POST /inventoryTransactions/{tenantId}/process/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/processinventorytransactionsync.md): This method will auto-generate an ID and create a new inventory transaction. If an ID is specified for the inventory transaction, an error will be thrown. ## Returns a list of records with the specified product_inventory_id - [GET /inventoryTransactions/{tenantId}/productInventory/{product_inventory_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/listtransactionsbyproductinventoryid.md): Returns a list of records with the specified product_inventory_id ## Returns a inventory transaction from the system by its ID. - [GET /inventoryTransactions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/getinventorytransaction.md): This method will look up a inventory transaction by the specified ID and return it back. ## Partially updates a inventory transaction with the specified ID. - [PATCH /inventoryTransactions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/patchinventorytransaction.md): This method will patch an existing inventory transaction with the specified ID, using the HTTP PATCH specification. ## Updates a inventory transaction with the specified ID. - [PUT /inventoryTransactions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/inventory-transactions/updateinventorytransaction.md): This method will update an existing inventory transaction with the specified ID.